import { baseUrl } from "../../../request";

// pages/personCenter/withdrawalAccount/withdrawalAccount.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    cardHolder: '',  // 姓名
    idCardNumber: '',  // 身份证号
    phoneNumber: '',  // 手机号
    bankCardNumber: '',  // 银行卡号
    openBank: ''  // 开户银行
  },

  // 获取当前账户信息
  getAccountInfo() {
    wx.request({
      url: baseUrl + '/userAccount/queryById', // 替换为你的后端接口
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token'),
      },
      success: (res) => {
        console.log('当前账户是---->',res.data);
        if (res.data.code === 1) {
          if (res.data.data === null ) {
            wx.showModal({
              title: '提示',
              content: '当前无账户，请添加',
              complete: (res) => {
                if (res.cancel) {
                  wx.navigateBack()
                } else if (res.confirm) {
                  wx.navigateTo({
                    url: '/pages/personCenter/bindBankCard/bindBankCard',
                  })
                }
              }
            })
            return;
          }
          this.setData({
            cardHolder: res.data.data.cardHolder,
            idCardNumber: res.data.data.idCardNumber,
            phoneNumber: res.data.data.phoneNumber,
            bankCardNumber: res.data.data.bankCardNumber,
            openBank: res.data.data.openBank
          });
        } else {
          wx.showToast({
            title: '获取数据失败',
            icon: 'none'
          });
        }
      },
      fail: () => {
        wx.showToast({
          title: '请求失败',
          icon: 'none'
        });
      }
    });
  },

  gotoEditBankCardInfo() {
    wx.navigateTo({
      url: `/pages/personCenter/bindBankCard/bindBankCard?isUpdate=${true}`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getAccountInfo()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})